Deletes tasks and optionally related time entries.

POSThttps://api.awork.com/api/v1/tasks/delete
POST https://api.awork.com/api/v1/tasks/delete

Deletes tasks and optionally related time entries. Related time entries are removed when requested.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The model describing the task deletion request.

application/json

taskIdsarray of stringRequired

List of tasks to be deleted.

deleteTimeTrackingsbooleanOptional

Set to true to also delete the related time trackings. If it is set to false, the related time trackings will still be there, but the project and task reference will be cleared. This will also happen if no request body is present.

Responses

204 No Content
207 Multi-Status
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation